﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub TDS500A (1 yr) DC Offset IEEE
DATE:                  2013-11-19 07:57:07
AUTHOR:                Fluke
REVISION:              $Revision: 5605 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       133
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Model(s) Covered:
#        TDS 500A
#          TDS 510A, TDS 520A, TDS 524A, TDS 540A, TDS 544A
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @Chan == 1
  1.002  RSLT         =
  1.003  RSLT         =DC VOLTAGE OFFSET ACCURACY
  1.004  ENDIF

  1.005  CALL         Sub TDS500/600/700 Channel Name
  1.006  RSLT         =
  1.007  RSLT         = [V @ChanName]
  1.008  HEAD         DC VOLTAGE OFFSET ACCURACY (CH [V @Chan])

# Channel 3, 4(Aux 1, 2) for TDS 520, TDS 520A and TDS 524A.
  1.009  MATH         L[1] = ZCMPI(@ModelNum, "TDS 520A")
  1.010  MATH         L[1] = ZCMPI(@ModelNum, "TDS 524A") || L[1]

  1.011  IF           L[1] && (@Chan > 2)
  1.012  RSLT         =
  1.013  HEAD         -2{100 mV/div}
  1.014  TARGET       -p
  1.015  CALL         Sub TDS500/600/700 Select Channel IEEE
  1.016  IEEE2        DISPLAY:GRATICULE FRAME
  1.016  IEEE2        HORIZONTAL:MAIN:SCALE 1.0E-3
  1.016  IEEE2        TRIG:MAIN:MODE AUTO
  1.016  IEEE2        TRIG:MAIN:EDGE:SOURCE LINE
  1.016  IEEE2        CURSOR:FUNCTION PAIRED
  1.016  IEEE2        CURSOR:PAIRED:SELECT CURSOR1;POSITION1 0
  1.017  IEEE2        ACQ:MODE HIR
  1.018  IEEE2        ACQ:STOPAFTER SEQUENCE;STATE RUN
  1.018  IEEE2        CH[V @Chan]:VOLTS 100E-3;POSITION 0E+0;OFFS 0
  1.019  TARGET       -m
  1.020  CALL         Sub TDS500/600/700 Cursor Reading IEEE
  1.021  MATH         MEM = @CursVal / 1E-3
  1.022  MEMCX        0.0mV          10.0U

  2.001  RSLT         =
  2.002  HEAD         -2{1 V/div}
  2.003  TARGET       -p
  2.004  IEEE2        CH[V @Chan]:VOLTS 1;POSITION 0E+0;OFFS 0
  2.005  TARGET       -m
  2.006  CALL         Sub TDS500/600/700 Cursor Reading IEEE
  2.007  MATH         MEM = @CursVal / 1E-3
  2.008  MEMCX        0mV            100U

  3.001  RSLT         =
  3.002  HEAD         -2{10 V/div}
  3.003  TARGET       -p
  3.004  IEEE2        CH[V @Chan]:VOLTS 10;POSITION 0E+0;OFFS 0
  3.005  TARGET       -m
  3.006  CALL         Sub TDS500/600/700 Cursor Reading IEEE
  3.007  MATH         MEM = @CursVal / 1E-3
  3.008  MEMCX        0mV            1000U

# Channel 1, 2 for TDS 520A, TDS 524A and channel 1, 2, 3, 4 for
# other series.
  4.001  ELSE
  4.002  RSLT         =
  4.003  HEAD         -2{1 mV/div}
  4.004  TARGET       -p
  4.005  CALL         Sub TDS500/600/700 Select Channel IEEE
  4.006  IEEE2        DISPLAY:GRATICULE FRAME
  4.006  IEEE2        HORIZONTAL:MAIN:SCALE 1.0E-3
  4.006  IEEE2        TRIG:MAIN:MODE AUTO
  4.006  IEEE2        TRIG:MAIN:EDGE:SOURCE LINE
  4.006  IEEE2        CURSOR:FUNCTION PAIRED
  4.006  IEEE2        CURSOR:PAIRED:SELECT CURSOR1;POSITION1 0
  4.007  IEEE2        ACQ:MODE HIR
  4.008  IEEE2        ACQ:STOPAFTER SEQUENCE;STATE RUN
  4.009  IEEE2        CH[V @Chan]:VOLTS 1.0E-3;POS 0;OFFS 0
  4.010  TARGET       -m
  4.011  CALL         Sub TDS500/600/700 Cursor Reading IEEE
  4.012  MATH         MEM = @CursVal / 1E-3
  4.013  MEMCX        0.0mV          1.6U

  5.001  RSLT         =
  5.002  HEAD         -2{101 mV/div}
  5.003  TARGET       -p
  5.004  IEEE2        CH[V @Chan]:VOLTS 101E-3;POS 0;OFFS 0
  5.005  TARGET       -m
  5.006  CALL         Sub TDS500/600/700 Cursor Reading IEEE
  5.007  MATH         MEM = @CursVal / 1E-3
  5.008  MEMCX        0.0mV          25.1U

  6.001  RSLT         =
  6.002  HEAD         -2{1.01 V/div}
  6.003  TARGET       -p
  6.004  IEEE2        CH[V @Chan]:VOLTS 1.01;POS 0;OFFS 0
  6.005  TARGET       -m
  6.006  CALL         Sub TDS500/600/700 Cursor Reading IEEE
  6.007  MATH         MEM = @CursVal / 1E-3
  6.008  MEMCX        0mV            251U
  7.001  ENDIF

  7.002  HEAD         -2
  7.003  HEAD
  7.004  END
